Newsgroups: comp.databases.oracle
From: Rob.E.Allan@hydro.on.ca (Rob E. Allan)
Subject: proc vs float
Message-ID: <1993Jul21.195210.23473@ohgpu.hydro.on.ca>
Sender: rallan@ohgpu.hydro.on.ca (Rob E. Allan)
Reply-To: Rob.E.Allan@hydro.on.ca
Organization: Ontario Hydro
Date: Wed, 21 Jul 1993 19:52:10 GMT
Lines: 37


I am having problems gettin ProC to accept a float in
an update statement. The relevant snippets are:

---------------------------------------------
EXEC SQL BEGIN DECLARE SECTION;
float tflo;         /* dummy float */
EXEC SQL END DECLARE SECTION;

main()
{
    tflo=10.0;
 
    EXEC SQL UPDATE JUNK SET F_VALUE = :tflo
        WHERE ID = 'AA3';
}

--------------------------------------------

F_VALUE is set as: NUMBER(6,1).

I seem to have no problems reading an F_VALUE into :tflo.
But whenever I try to put tflo into F_VALUE, I get a segmentation
fault. Using a debugger, I have followed the program to :

	sqlcex(&sqlctx, &sqlstm, &sqlfpn);

And up to this point, tflo seems to be ok. (i.e. it is still 10.0).

Further complicating this is that if I declare tflo to be an int,
the program works fine. In fact, anything I have previously done
with VARCHARs and ints has worked great.

If anyone could enlighten me regarding this, I would be very grateful.
Oh yes, I'm running Oracle 6.036 under SunOS 4.1.1.
Email response is best, thanks,

rob allan	email:rob.e.allan@hydro.on.ca

